# CraftPresence

## [v2.2.1](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.2.1) (2022-05-27)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.2.0...v2.2.1) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Fix] Added a failsafe for when a property does not exist in `/cp reset`  
    - This fixes a scenario in which you can effectively create infinite values when using the command. Now `reset\_single` has logging for both command success and failure.  
- [Fix] Several fixes for `player\_icon` placeholder  
    - Fixed formatting of the player's race by removing spaces rather then them being replaced by underscores due to the `FormatAsIcon` function.  
    - Corrected the if-case order to where Race is checked before `UnitSex`.  
    - Corrected `result` concatenation to avoid scenarios of `unknown\_gender` or `race\_unknown`. Failure scenarios have been redirected to simply be `unknown`. This code is adjustable, if for example, you wanted the fallback to be a certain race/gender.  
    Migration Notes:  
    - Due to the minor severity of this issue, and the fact that it only effects a subset of races, a migration layer/schema change will not be made for this commit. If users who have edited this config value wish to apply these changes, please run the following command: `/cp reset placeholders player\_icon`  
